Search audience members

View as Markdown
Search for members within a specific audience using flexible search parameters. Users can only search members of audiences they created. **Search Types:** - **General Search** (`query`): Searches across all fields in the audience member data - **Field-Specific Search**: Use any field name as a parameter (e.g., `firstName=john`, `phoneNumber=123456`, `email=test@example.com`) **Examples:** - `?query=john` - General search across all fields - `?firstName=john` - Search specifically in firstName field - `?phoneNumber=555-1234` - Search specifically in phoneNumber field - `?firstName=john&lastName=doe` - Search for members matching both criteria **Note:** When using phoneNumber field, do not use quotes around the phone number. You can use either a general search OR field-specific searches, but not both simultaneously.

Authentication

AuthorizationBearer

API key from the console ApiKey collection, sent as Bearer token. Also accepts session cookies for browser-based auth.

Path parameters

idstringRequired
The unique identifier of the audience

Query parameters

querystringOptional
General search term that searches across all fields in audience member data

Response

Search results returned successfully
statusboolean
dataobject

Errors

400
Bad Request Error
500
Internal Server Error